summaryrefslogtreecommitdiff
path: root/dev-ruby/http-parser/http-parser-1.2.2.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-12-25 12:53:05 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-12-25 12:53:05 +0000
commit83432b4e32e62647c4b3dbce2846bea7149ac9f0 (patch)
tree8f9db0682e88932134fe471de39d74bc82492a6f /dev-ruby/http-parser/http-parser-1.2.2.ebuild
parent2bf8320f0a2c95e0b2a98bd4f54e2f4348f7d023 (diff)
downloadsrcux-83432b4e32e62647c4b3dbce2846bea7149ac9f0.tar.gz
srcux-83432b4e32e62647c4b3dbce2846bea7149ac9f0.tar.xz
srcux-83432b4e32e62647c4b3dbce2846bea7149ac9f0.zip
Updating liguros repo
Diffstat (limited to 'dev-ruby/http-parser/http-parser-1.2.2.ebuild')
-rw-r--r--dev-ruby/http-parser/http-parser-1.2.2.ebuild29
1 files changed, 29 insertions, 0 deletions
diff --git a/dev-ruby/http-parser/http-parser-1.2.2.ebuild b/dev-ruby/http-parser/http-parser-1.2.2.ebuild
new file mode 100644
index 000000000000..796554e18319
--- /dev/null
+++ b/dev-ruby/http-parser/http-parser-1.2.2.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby24 ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A super fast http parser for ruby"
+HOMEPAGE="https://github.com/cotag/http-parser"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND+=" >=net-libs/http-parser-2.8.1"
+RDEPEND+=" >=net-libs/http-parser-2.8.1"
+
+ruby_add_bdepend "dev-ruby/ffi-compiler"
+
+each_ruby_compile() {
+ ${RUBY} -C ext -S rake || die
+ mv ext/x86_64-linux/libhttp-parser-ext.so lib/http-parser/ || die
+}